Package org.jfree.layouting.renderer.process.layoutrules

## Interface InlineSequenceElement

- All Known Implementing Classes:
    `EndSequenceElement`, `InlineBoxSequenceElement`, `InlineNodeSequenceElement`, `ReplacedContentSequenceElement`, `SpacerSequenceElement`, `StartSequenceElement`, `TextSequenceElement`

      public interface InlineSequenceElement

  A sequence element. Usually all elements get their maximum width. There are only a few special cases, where the minimum width needs to be considered: * The element is an inline-block and there is not enough space to print he complete element. The element is guaranteed to always get its minimum width.
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getMaximumWidth​()` | The maximum width an element wants to take.
    `long` | `getMinimumWidth​()` | The minimum width of the element.
    `RenderNode` | `getNode​()` |
    `boolean` | `isPreserveWhitespace​()` |

- - ### Method Detail

    - #### getMinimumWidth

          long getMinimumWidth​()

      The minimum width of the element. This is the minimum width of the element.
      Returns:

    - #### getMaximumWidth

          long getMaximumWidth​()

      The maximum width an element wants to take. This returns the preferred size; even if offered more space, an element would not consume more than that.
      Returns:

    - #### getNode

          RenderNode getNode​()

    - #### isPreserveWhitespace

          boolean isPreserveWhitespace​()